# dkim_free()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_free(
    	DKIM *dkim
    );

Release resources associated with a signing or verifying handle.

DESCRIPTION

Called When | `dkim_free()` must be passed a handle returned by `dkim_sign()` or `dkim_verify()`
Effects | Releases resources that were allocated and assigned to the handle `dkim` when it was returned by `dkim_sign()` or `dkim_verify()`. The handle `dkim` may not be reused.

ARGUMENTS

Argument | Description
--- | ---
dkim | A DKIM handle returned by a previous call to `dkim_sign()` or `dkim_verify()`.

RETURN VALUES

- `DKIM_STAT_OK` -- operation was successful

NOTES | None.

Copyright (c) 2005, 2006 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.